clear;
tic


alpha   =   1.6;                % alpha parameter for polarization index



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%% PI-military-transfer
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

y0      =   load('PI.txt');

[~,c]   =   size(y0);
y0      =   y0(:,2:end);

[n,t]   =   size(y0);

      
%%%%%%%%% average
inc = y0; 
ii = find(inc<0);
inc(ii) = NaN;
inc0 = inc;



for j = 1:t
    count = zeros(n,1);
    rinc = zeros(n,1);
    ii = find(inc0(:,j)>0);
    count(ii)=1;
    rinc(ii)=inc0(ii,j);
    sum_count = sum(count);
    sum_rinc = sum(rinc);
    mean_inc = sum_rinc/sum_count;
    inc0(:,j) = inc0(:,j)/mean_inc;
end

per1=prctile(inc0,1);
per99=prctile(inc0,99.0);

inc00 = ones(n,t)*-999;
ii = find(inc0>0);
inc00(ii) = inc0(ii);
inc1 = inc00(:,1);
inc2 = inc00(:,2);


for j = 1:t
    ii2 = find(inc0(:,j)<=per1(:,j));
    ii3 = find(inc0(:,j)>=per99(:,j));
    inct = inc00(:,j);
    inct(ii2) = -999;
    inct(ii3) = -999; 
    inc00(:,j) = inct;
end

y0 = inc00;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Bipol0  =   [ ];                % t by 1 polarization index
B = [];
seV = [];
G = [];
G1= [];
G2 = [];
seVG = [];


W = []; WW=[];
WV = []; WWV=[];
ER = [];
ERV = [];
STD = [];
STDV = [];

for j = 1:t
    ybpj = y0(:,j);
    ybpj_a = abs(ybpj);
    [~,loc] = ismember(ybpj,ybpj_a,'rows');
    ybpj = ybpj(nonzeros(loc),:);
    Bipolj1 = pol(ybpj,0.0,alpha);
    Bipolj2 = pol(ybpj,0.25,alpha);
    Bipolj3 = pol(ybpj,0.5,alpha);
    Bipolj = [Bipolj1 Bipolj2 Bipolj3];
    Bipol0 = [Bipol0; Bipolj];
    
    [B0,seV0,G0,seVG0,W0,WV0,ER0,ERV0,STD0,STDV0]=bipol_var_est(ybpj);
    B = [B;B0];
    seV = [seV;seV0];
    G = [G;G0];
    seVG = [seVG;seVG0];
    W = [W;W0];
    WV = [WV;WV0];
    ER = [ER;ER0];
    ERV = [ERV;ERV0];
    STD = [STD;STD0];
    STDV = [STDV;STDV0];
    
end

Bipol=[];
Var=[];
Bipol = [Bipol Bipol0(:,3)];
Var = [Var seV];


%---------------
%   Graphs
%---------------
year = (1970:1:2017)';

TT=W-WV*1.96;
TT2=W+WV*1.96;
figure;

f1 = plot(year,W,'-k');
set(f1(1),'linewidth',1.5);
hold on
f2 = plot(year,W+WV*1.96,':k');
f3 = plot(year,W-WV*1.96,':k');

f4 = plot(year,STD,'-r');
set(f4(1),'linewidth',1.5);

f5 = plot(year,STD+STDV(:,1)*1.96,':r');
f6 = plot(year,STD-STDV(:,1)*1.96,':r');
hold off

axis([1970 2017,0.22 0.4]);
legend([f1; f2; f4; f5],{'Wolfson','95% CI (Wolfson)','RSD','95% CI (RSD)'},'Location','Northwest');
xlabel('Year');



toc