function D = MD(y)

%------------------------------------------------
%   MD: Mean difference of a n by 1 vector y
%   D = MD(y) : (1 by 1) mean difference of y
%   y (n by 1) data
%------------------------------------------------

y = sort(y);
n = length(y);
r = (1:1:n)';
L = r.* y;
H = cumsum(y);
H = sum(y) - H;

ym = mean(y);
G = ((2*sum(L))/(ym*n*n)) - ((n+1)/n);     % Gini
D = 2*ym*G;




