function f = kerdenfg2(x,h,g)

%-----------------------------------------------------
%   f = kerdenfg2(x,h,g) : (m by m kernel estimator)
%   x (n by 2) data
%   h (2 by 1) bandwidth constants
%   g (m by 1) grid points
%-----------------------------------------------------

[n, ~]  = size(x);
[m, ~]  = size(g);
f       = zeros(m,m);
h       = h.*std(x,0,1)'*n^(-0.2);
hh      = prod(h,1);

for j = 1 : m
    z2 = (g(j)-x(:,2))./h(2);
    w2 = normpdf(z2);
    
    for i = 1 : m
        z1 = (g(i)-x(:,1))./h(1);
        w1 = normpdf(z1);
        w = w1.*w2;
        f(i,j) = sum(w)./(n*hh);
    end;
end;