function B = pol(y,th,a)

%-----------------------------------------------------------------------
%   pol: polarization index divided by mean
%   B = pol(y,th,a) (1 by 1) polarization index (group divided by mean)
%   y (n by 1) data
%   th (1 by 1) theta value
%   a (1 by 1) alpha value
%-----------------------------------------------------------------------

ym = mean(y);
y1 = y(y<ym);       % poor
y2 = y(y>ym);       % rich

n  = length(y);
n1 = length(y1);
n2 = length(y2);

p1 = n1/n;
p2 = n2/n;
m1 = mean(y1);
m2 = mean(y2);

d  = MD(y);
d1 = MD(y1);
d2 = MD(y2);

B  = ((m2-m1)/ym)*p1*p2*((1-th)*(p1/(d1/d))^a + th*(p2/(d2/d))^a);
% B  = ((m2-m1)/ym)*p1*p2*((1-th)*(p1)^a + th*(p2)^a);

